<p-button
  *ngIf="weeks?.length == 0"
  icon="pi pi-pencil"
  label="Generar 37 semanas"
  (onClick)="generateWeeks()"
></p-button>

<div class="week" *ngFor="let week of weeks">
  <app-week-edit [week]="week" [plan]="plan"></app-week-edit>
</div>
